<?php

class funciones_BD {
   private $db;
   // constructor
   function __construct () {
       require_once 'database_odbc.php';
	   $this->db = new database_odbc('ASA11', 'srvpedidos', 'strateRLexPe');   
   }

   public function login ($user,$passw){
       $consulta= "SELECT COUNT(*) FROM DBA.USUARIO WHERE USUARIO = '$user' AND PASSUSU = '$passw';";
       $contador  = $this->db->loadResult($consulta);

       if ($contador[0] == 0) {
          return true;
       }else{ 
          return false;
       } 
   }
   public function historicoPedido ($user, &$objeto){
     $consulta = "SELECT NUMPEDIDO,FECPEDIDO,FECSERVICIO,HORAENTREGAINI,HORAENTREGAFIN,ESTADOPED,OBS FROM DBA.CABPED WHERE CODCLI ='$user';";   
     $estatus =  $this->db->loadObjectList($consulta, $objeto);
      
     return $estatus;   
   }
   public function detallePedido ($user,$pedido, &$objeto){
     $consulta = "SELECT DBA.LINPED.NUMPEDIDO,DBA.LINPED.LINPED,DBA.LINPED.CODART,DESCART AS DESCART,DBA.LINPED.CANTIDAD,DBA.LINPED.ESTADOLIN,DBA.LINPED.OBS,DBA.LINPED.BRUTO,DBA.LINPED.PRECIO,DBA.LINPED.OBS  FROM DBA.LINPED,DBA.CABPED,DBA.ARTICULO WHERE DBA.LINPED.CENTRO= DBA.CABPED.CENTRO AND DBA.LINPED.NUMPEDIDO = DBA.CABPED.NUMPEDIDO AND DBA.LINPED.CODART = DBA.ARTICULO.CODART AND DBA.CABPED.CODCLI ='$user' AND DBA.CABPED.NUMPEDIDO = $pedido ;";     
     $estatus =  $this->db->loadObjectList($consulta, $objeto);
      
     return $estatus;   
   }

   public function detalleSemanaPedido ($user, &$objeto){
 $semana = date("Y-m-d",strtotime('-7 day')); 
     
$consulta = "SELECT DBA.LINPED.NUMPEDIDO,DATE(DBA.CABPED.FECPEDIDO) FECPEDIDO,
HOUR(DBA.CABPED.FECPEDIDO) HORA , DBA.LINPED.LINPED,DBA.LINPED.CODART,DESCART,DBA.LINPED.CANTIDAD,DBA.LINPED.ESTADOLIN,DBA.LINPED.OBS,DBA.LINPED.BRUTO,DBA.LINPED.PRECIO,DBA.LINPED.OBS  FROM DBA.LINPED,DBA.CABPED,DBA.ARTICULO WHERE DBA.LINPED.CENTRO= DBA.CABPED.CENTRO AND DBA.LINPED.NUMPEDIDO = DBA.CABPED.NUMPEDIDO AND DBA.LINPED.CODART = DBA.ARTICULO.CODART AND DBA.CABPED.CODCLI ='$user'
AND DATE(DBA.CABPED.FECPEDIDO) >= '$semana' ORDER BY FECPEDIDO DESC, DBA.LINPED.NUMPEDIDO,DBA.LINPED.LINPED;";
     $estatus =  $this->db->loadObjectList($consulta, $objeto);
     return  $estatus;   


   }

   public function pedidosDelDia      ($user,$fecha, &$objeto){
 $semana = date("Y-m-d",strtotime($fecha)); 
     
$consulta = "SELECT DBA.CABPED.NUMPEDIDO NUMPEDIDO,DBA.CABPED.FECPEDIDO FECPEDIDO  FROM DBA.CABPED WHERE DBA.CABPED.CODCLI ='$user' AND DATE(DBA.CABPED.FECPEDIDO) = '$semana' ORDER BY FECPEDIDO DESC;";
     $estatus =  $this->db->loadObjectList($consulta, $objeto);
     return  $estatus;   


   }




   public function fechaDosDiaPedido ($user, &$objeto){
 $semana = date("Y-m-d",strtotime('-2 day')); 
//Es necesario mostrar todas las fechas atrasadas para poder ver los pedidos de obrador y flor en caso de que existan 
//	$consulta = "SELECT DATE(DBA.CABPED.FECPEDIDO) FECPEDIDO FROM DBA.CABPED WHERE DBA.CABPED.CODCLI ='$user' AND DATE(DBA.CABPED.FECPEDIDO) >= '$semana' GROUP BY FECPEDIDO ORDER BY FECPEDIDO DESC;";
	$consulta = "SELECT DATE(DBA.CABPED.FECPEDIDO) FECPEDIDO,DAY(DBA.CABPED.FECPEDIDO) DIAPEDIDO, MONTH(DBA.CABPED.FECPEDIDO) MESPEDIDO,YEAR(DBA.CABPED.FECPEDIDO) ANOPEDIDO FROM DBA.CABPED WHERE DATE(DBA.CABPED.FECPEDIDO) >= '$semana' GROUP BY FECPEDIDO,DIAPEDIDO,MESPEDIDO,ANOPEDIDO ORDER BY FECPEDIDO DESC;";
	     $estatus =  $this->db->loadObjectList($consulta, $objeto);
	     return  $estatus;   


   }




   public function detalleDosDiaPedido ($user, &$objeto){
 $semana = date("Y-m-d",strtotime('-2 day')); 
     
$consulta = "SELECT DBA.LINPED.NUMPEDIDO,DATE(DBA.CABPED.FECPEDIDO) FECPEDIDO,
HOUR(DBA.CABPED.FECPEDIDO) HORA , DBA.LINPED.LINPED,DBA.LINPED.CODART,DESCART,DBA.LINPED.CANTIDAD,DBA.LINPED.ESTADOLIN,DBA.LINPED.OBS,DBA.LINPED.BRUTO,DBA.LINPED.PRECIO,DBA.LINPED.OBS  FROM DBA.LINPED,DBA.CABPED,DBA.ARTICULO WHERE DBA.LINPED.CENTRO= DBA.CABPED.CENTRO AND DBA.LINPED.NUMPEDIDO = DBA.CABPED.NUMPEDIDO AND DBA.LINPED.CODART = DBA.ARTICULO.CODART AND DBA.CABPED.CODCLI ='$user'
AND DATE(DBA.CABPED.FECPEDIDO) >= '$semana' ORDER BY FECPEDIDO DESC, DBA.LINPED.NUMPEDIDO,DBA.LINPED.LINPED;";
     $estatus =  $this->db->loadObjectList($consulta, $objeto);
     return  $estatus;   


   }



}
?>
